﻿using System.Collections;
using DataModel.Database;
using DataModel.Database.Common;
using Microsoft.EntityFrameworkCore;

namespace Processor;

public static class TextElementProcessor
{
    public static Task<IAsyncEnumerable<TextElement>> GetTextElements(DataContext db, Section section)
    {
        return Task.FromResult(db.TextElements.Where(n => n.Section == section).AsAsyncEnumerable());
    }
}